Subject: [bug#34650] [PATCH 7/7] gnu: Add mailcatcher.

From: Christopher Baines <[email-masked]>
Date: Tue, 05 Mar 2019 18:51:02 +0000

Pierre Neidhardt <[email-masked]> writes:

> Thanks for the review!
>
>> I'd recommend trying to avoid inserting packages at the end of modules,
>> or generally in the same place. This can make rebases difficult, and
>> increase the chances of conflicts when going to apply patches. I
>> generally try to fit patches in to modules somewhat alphabetically.
>
> You are very true here, but currently ruby.scm seems to follow no order
> whatsoever.  Not sure where to insert the new packages then.

Well, it's in no strict order. One approach I normally use is to start
at the top and work my way down, and fit packages in just below the
first thing that's before them in the alphabet.